summaryrefslogtreecommitdiffstats
path: root/bin/schroot-create.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2017-03-16 10:24:52 +0100
committerHolger Levsen <holger@layer-acht.org>2017-03-16 10:24:52 +0100
commitd933ac20a638accb01dd063dedb56be26d78a9dd (patch)
tree705615da80c4f52bf869dfae3f2c76fbf2b1d4b0 /bin/schroot-create.sh
parente195de95f4bf2ee4ad2d742cfd2f7eb1e47bdfc4 (diff)
downloadjenkins.debian.net-d933ac20a638accb01dd063dedb56be26d78a9dd.tar.xz
reproducible Debian: try to install+use diffoscope from experimental
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/schroot-create.sh')
-rwxr-xr-xbin/schroot-create.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/bin/schroot-create.sh b/bin/schroot-create.sh
index 67e5ab14..194b4f49 100755
--- a/bin/schroot-create.sh
+++ b/bin/schroot-create.sh
@@ -181,8 +181,14 @@ bootstrap() {
fi
robust_chroot_apt install -y --no-install-recommends sudo
robust_chroot_apt install -y --no-install-recommends $@
- # always try to use diffoscope from unstable
- if [ "$SUITE" = "testing" ] && [ "$1" = "diffoscope" ] ; then
+ # try to use diffoscope from experimental
+ if ([ "$SUITE" = "unstable" ] || [ "$SUITE" = "testing" ] ) && [ "$1" = "diffoscope" ] ; then
+ echo "deb $MIRROR experimental main" | sudo tee -a $SCHROOT_TARGET/etc/apt/sources.list > /dev/null
+ robust_chroot_apt update
+ # install diffoscope from experimental without re-adding all recommends...
+ sudo chroot $SCHROOT_TARGET apt-get install -y -t experimental --no-install-recommends diffoscope || echo "Warning: diffoscope from experimental is uninstallable at the moment."
+ elif [ "$SUITE" = "testing" ] && [ "$1" = "diffoscope" ] ; then
+ # always try to use diffoscope from unstable on testing
echo "deb $MIRROR unstable main" | sudo tee -a $SCHROOT_TARGET/etc/apt/sources.list > /dev/null
robust_chroot_apt update
# install diffoscope from unstable without re-adding all recommends...